SparseDataReader.h File Reference

Contains functions controlling the loading of sparse fields. More...

`#include <hdf5.h>`
`#include <string.h>`
`#include "Hdf5Util.h"`
`#include "Log.h"`
`#include "ns.h"`

Go to the source code of this file.

## Classes

class | SparseDataReader< Data_T >
| This class gets used by SparseFieldIO and SparseFileManager to read the block data. On creation it will open the data set and not close it until the object is destroyed. More...

## Detailed Description

Contains functions controlling the loading of sparse fields.

Definition in file SparseDataReader.h.